[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TReadStrEvent

Callback to read strings from storage

## Declaration

Source position: rttiutils.pp line 62

`type TReadStrEvent = function(`
`const ASection: string;`
`const Item: string;`
`const Default: string`
`):string of object;`

## Arguments

`ASection` |  | Section to read value from
`Item` |  | Key name for value
`Default` |  | Default return value if none was found

## Function result

Value of Item in section ASection

## Description

TReadStrEvent is used by TPropsStorage to read strings from a storage mechanism, in a .ini file like fashion: The call should read the string in ASection with key Item, and if it does not exist, Default should be returned.

## See also

TPropsStorage |  | Property storage mechanism
TWriteStrEvent |  | Write a string to storage
TEraseSectEvent |  | Clear a storage section

Documentation generated on: Feb 26 2014